purescript-0.15.15: PureScript Programming Language Compiler

Safe Haskell | None
Language | Haskell2010

Language.PureScript.Ide.CaseSplit

Description

Casesplitting and adding function clauses

Synopsis

- data WildcardAnnotations
- explicitAnnotations :: WildcardAnnotations
- noAnnotations :: WildcardAnnotations
- makePattern :: Text -> Int -> Int -> WildcardAnnotations -> [Constructor] -> [Text]
- addClause :: MonadError IdeError m => Text -> WildcardAnnotations -> m [Text]
- caseSplit :: (Ide m, MonadError IdeError m) => Text -> m [Constructor]

# Documentation

data WildcardAnnotations #

explicitAnnotations :: WildcardAnnotations #

noAnnotations :: WildcardAnnotations #

makePattern #

Arguments

:: Text | Current line
-> Int | Begin of the split
-> Int | End of the split
-> WildcardAnnotations | Whether to explicitly type the splits
-> [Constructor] | Constructors to split
-> [Text] |

Constructs Patterns to insert into a sourcefile

addClause :: MonadError IdeError m => Text -> WildcardAnnotations -> m [Text] #

caseSplit :: (Ide m, MonadError IdeError m) => Text -> m [Constructor] #